[PATCH] xfstests: ensure all xfs_io commands are documented in the manpage

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Ensure that all commands listed in "xfs_io -c help" are
documented in the xfs_io(8) manpage.

Signed-off-by: Eric Sandeen <sandeen@xxxxxxxxxx>
---

diff --git a/293 b/293
new file mode 100755
index 0000000..e42344d
--- /dev/null
+++ b/293
@@ -0,0 +1,59 @@
+#! /bin/bash
+# FS QA Test No. 293
+#
+# Ensure all xfs_io commands are documented
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2012 Red Hat, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+# creator
+owner=sandeen@xxxxxxxxxx
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# real QA test starts here
+
+# Modify as appropriate.
+_supported_fs xfs
+_supported_os IRIX Linux
+
+echo "Silence is golden"
+
+for COMMAND in `$XFS_IO_PROG -c help | awk '{print $1}' | grep -v "^Use "`; do
+  man xfs_io | col -b | grep -wq $COMMAND || \
+	echo "$COMMAND not documented in the xfs_io manpage"
+done
+
+# success, all done
+status=0
+exit
diff --git a/293.out b/293.out
new file mode 100644
index 0000000..076fc05
--- /dev/null
+++ b/293.out
@@ -0,0 +1,2 @@
+QA output created by 293
+Silence is golden
diff --git a/group b/group
index 9562685..b04fb50 100644
--- a/group
+++ b/group
@@ -411,3 +411,4 @@ deprecated
 290 auto rw prealloc quick ioctl
 291 auto mkfs quick
 292 auto quick
+293 auto quick

_______________________________________________
xfs mailing list
xfs@xxxxxxxxxxx
http://oss.sgi.com/mailman/listinfo/xfs


[Index of Archives]     [Linux XFS Devel]     [Linux Filesystem Development]     [Filesystem Testing]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux